Bug 64903 - Bad default values for PPPoE timeout
Bad default values for PPPoE timeout
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: rp-pppoe (Show other bugs)
7.3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-14 03:35 EDT by Graham Cole
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-05-14 03:35:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Graham Cole 2002-05-14 03:35:17 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.0 (X11; Linux i686; U;) Gecko/20020408

Description of problem:
PPPOE_TIMEOUT value is set to 20 seconds by default. the LCP_INTERVAL is also
set to 20 seconds
pppoe man page states that the timeout should be about 4 times the
lcp-echo-interval 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. use the network configuration program to set up an xDSL connection
2. activate the connection
3. tail -f /var/log/messages
4. Allow the connection to sit idle and the connection will soon be lost and
restarted.  If there is activity, the link will naturally not go down.
	

Actual Results:  The link will periodically go down and then back up again

Expected Results:  The link shouldn't go down.

Additional info:

I manually set PPPOE_TIMEOUT in
/etc/sysconfig/network-scripts/ifcfg-ppp0 to 80.  This seemed to fix the problem.
Comment 1 Ngo Than 2002-06-07 11:35:00 EDT
it's fixed in 3.4-3. You will find it in the next rawhide release

Note You need to log in before you can comment on or make changes to this bug.